Provision Mobile Wallet

Use the provisionMobileWallet endpoint to push-provision a virtual card to a mobile wallet. This endpoint can only be used if your program has the required configuration for manual provisioning. 'Push provisioning' obviates the need for your cardholder to manually enter card information; you can call this endpoint instead to have the card provisioned. This provides a more seamless user experience with less errors.


📘 Note: Please work with Spidr to ensure that your program is correctly configured to support mobile wallets.

Path Params
string
required

Pass in the card's unique ID.

Body Params

POST /v1/card/:cardId/mobileWalletProvision Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
enum
required

The type of wallet to provision: Apple, Google, Samsung.

Allowed:
string | null
Defaults to null

The leaf certificate returned by the wallet provider that was signed using cert2. Should be the hexlified (case insensitive) binary data of the certificate. Required for Apple Pay; not required for Samsung Pay or Google Pay.

string | null
Defaults to null

The subordinate certificate returned by the wallet provider that was signed using the wallet provider’s Certificate Authority (CA) certificate. Should be the hexlified (case insensitive) binary data of the certificate. Required for Apple Pay; not required for Samsung Pay or Google Pay.

string | null
Defaults to null

The hexlified (case insensitive) nonce value returned by Apple Pay. Required for Apple Pay; not required for Google Pay or Samsung Pay.

string | null
Defaults to null

The hexlified (case insensitive) nonce signature value returned by Apple Pay. Required for Apple Pay; not required for Google Pay or Samsung Pay.

string | null
Defaults to null

Value returned by Google Pay or Samsung Pay for use with Visa. Required for Visa + Samsung Pay or Google Pay; not required for Visa + Apple Pay.

string | null
Defaults to null

Value returned by Google Pay or Samsung Pay for use with Visa. Required for Visa + Samsung Pay or Google Pay; not required for Visa + Apple Pay.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json